## CheeseAvatarWidget CheeseAvatarWidget — A photo capture dialog for avatars |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | cheese_avatar_widget_new ()
GdkPixbuf * | cheese_avatar_widget_get_picture ()

## Properties

GdkPixbuf * | pixbuf | Read

## Types and Values

| CheeseAvatarWidget

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── CheeseAvatarWidget

## Implemented Interfaces

CheeseAvatarWidget implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <cheese/cheese-avatar-widget.h>

## Description

CheeseAvatarWidget presents a simple window to the user for taking a photo for use as an avatar.

## Functions

### cheese_avatar_widget_new ()

    GtkWidget *
    cheese_avatar_widget_new (void);

Creates a new CheeseAvatarWidget dialogue.

#### Returns

a CheeseAvatarWidget

### cheese_avatar_widget_get_picture ()

    GdkPixbuf *
    cheese_avatar_widget_get_picture (CheeseAvatarWidget *widget);

Returns the portion of image selected through the builtin cropping tool, after a picture has been captured on the webcam.

#### Parameters

widget | a CheeseAvatarWidget dialogue |

#### Returns

a GdkPixbuf object, or `NULL` if no picture has been taken yet

## Types and Values

### CheeseAvatarWidget

    typedef struct _CheeseAvatarWidget CheeseAvatarWidget;

Use the accessor functions below.

## Property Details

### The `“pixbuf”` property

      “pixbuf”                   GdkPixbuf *

A GdkPixbuf object representing the cropped area of the picture, or `NULL`.

Flags: Read